(function() {
    $.ajaxSetup({
        cache: false,
        headers: {
            'Cache-Control': 'no-cache'
        }
    });
    App.communication = {
        GET: function(options) {
            
            // if(!App.network.checkNetwork().result)
            // {
            //     App.controller.showSecondPopup("alert",{
            //             title:'Something wrong with your network!!',
            //             callBack : function(){                            
            //             }
            //         },null);
            //     return false;
            // }
            $.ajax({
                type: "GET",
                url: options.url,
                data: options.data,
                dataType: "json",
                async: options.async || true,
                timeout: 20000,
                cache:false,
                beforeSend: function(jqXHR, settings) {
                    jqXHR.setRequestHeader('Content-Type', 'application/json');
                },
                complete: function(jqXHR, textStatus) {
                	if(options.onCompleteCallBack){
                		options.onCompleteCallBack({
                			"jqXHR" : jqXHR,
                			"textStatus" : textStatus 
                		});                		
                	}
                }, //TODO: complete call back function 
                success: function(data, textStatus, jqXHR) {
                    if (options.successCallback) {
                        options.successCallback(data);
                    }                    
                },
                error: function(jqXHR, textStatus, errorThrown) {                    
                    var errorOptions = {
                        "jqXHR": jqXHR,
                        "textStatus": textStatus,
                        "errorThrown": errorThrown
                    };
                    if (errorThrown) {
                        console.log('Error message ' + errorThrown);
                    }
                    if (jqXHR.status == 0) {
                        App.events.checkNetworkStatus();
                    }
                    if (options.errorCallback) {
                        options.errorCallback(errorOptions);
                    }
                }
            });
        }
    };
})();