(function(){
	window.app = window.app || {};
	app.views = app.views || {};
	app.views.confirm = Backbone.Marionette.ItemView.extend({
	    template: '#confirmView',
	    events: {
	    	'click .ok_callback_h':'okCallback',
	    	'click .cancel_callback_h':'closePopup'
	    },
	    initialize: function(options) {
	    	this.options = options;
            // App.events.closePopup();//close popups when menu open/close is fired
	    },
	    okCallback: function(e) {
	    	App.sessionVars.click ='ok';
	    	if(this.options.callBack){
	    		this.options.callBack();
	    	}
            App.events.closeSecondPopups();//close popups when menu open/close is fired
	    },
	    onRender: function() {
	    	console.log("on render call of confirmation");
	    	if(this.options && this.options.title){
	    		this.$el.find('.confirmation_h').text(this.options.title);
	    	}
	    	
	    },
	    closePopup: function() {
	    	App.sessionVars.click ='close';
	    	if(this.options.callBack){
	    		this.options.callBack();
	    	}
	    	App.events.closeSecondPopups();
	    },
	    onClose: function() {}
	});
})();
