/* Method Name : getDateTime
 * Purpose : To get get date and time by passing time stamp in Indian time formate 
 * Params : TimeStampe , options = { date : true, time : true}
 * Company: LGM
 * Author : Rishav Goyal
 * Created on:  7/8/2015
 * Modified on: 7/8/2015
 */

getDateTime = function(TS, options){
	if(!TS){
		console.log("timeStamp is not valid ");
		return false;
	}
	var timeDetails = {};

	if(options && options.date){
		console.log("hello");
		var TSDate = new Date(TS).getDate();
		var TSMonth = new Date(TS).getMonth()+1;
		var TSYear = new Date(TS).getFullYear();
		timeDetails.date = TSDate+"/"+TSMonth+"/"+TSYear;
	}
	if(options && options.time){
		var hours = new Date(TS).getHours();
		var periodValue = "AM";
		if((hours % 10)>=0 && (hours / 10)<1){
			hours = "0"+hours;
		}else if((hours / 12)>=1){
			hours = hours%12;
			periodValue = "PM";
			if((hours % 10)>=0 && (hours / 10)<1){
				hours = "0"+hours;
			}
		}
		var mins = new Date(TS).getMinutes();
		if((mins % 10)>=0 && (mins / 10)<1){
			mins = "0"+mins;
		}
		var seconds = new Date(TS).getSeconds();
		if((seconds % 10)>=0 && (seconds / 10)<1){
			seconds = "0"+seconds;
		}
		timeDetails.time = hours+":"+mins+":"+seconds+" "+periodValue;

	}
	if(timeDetails){
		return timeDetails;
	}
};