(function(){
	window.app = window.app || {};
	app.views = app.views || {};
	app.views.alert = Backbone.Marionette.ItemView.extend({
	    template: '#alertView',
	    events: {
	        'click .close_h':'closePopup',
	    },
	    initialize: function(options) {
            // App.events.closeSecondPopups();//close popups when menu open/close is fired
            this.options = options;
	    },
	    onRender: function() {
	    	console.log("on render call of confirmation");
	    	if(this.options && this.options.title){
	    		this.$el.find('.title_h').text(this.options.title);
	    		this.$el.find('.subject_h').text(this.options.message);
	    	}
	    },
	    closePopup: function() {
	    	if(this.options.callBack){
	    		this.options.callBack();
	    	}
	    	App.events.closeSecondPopups();
	    },
	    onClose: function() {
	    	App.events.closeSecondPopups();
	    }
	});	
})();
